[python][patch] And range method to type

Phil Muldoon pmuldoon@redhat.com
Wed Dec 9 07:47:00 GMT 2009


> I make the cvs-head get:

> cc1: warnings being treated as errors
> ../../src/gdb/python/py-type.c: In function 'typy_range':
> ../../src/gdb/python/py-type.c:285: warning: 'high' may be used
> uninitialized in this function
> ../../src/gdb/python/py-type.c:285: warning: 'low' may be used
> uninitialized in this function

I do not see this on my build at all.  I just did a clean build from a
new checkout with CVS and the build completes successfully.  What is
your version of GCC?

For reference, mine is:

gcc version 4.4.2 20091027 (Red Hat 4.4.2-7) (GCC) 

I'll initialize the values to appease the differing versions of GCC,
and send the patch (as obvious) to the list


Cheers,

Phil



More information about the Gdb-patches mailing list